EditBackground
Edit image - Background
POST
Async function -> response in notification 'edit_background'
Example:
import requestsimport jsonurl_api = 'https://api.piktid.com/api'id_image = 'target_image_identifier' # provided by /edit/targetprompt = 'a woman in the desert'options = {}response = requests.post(url_api+'/edit/background',headers={'Authorization': 'Bearer '+TOKEN},data={'id_image':id_image, 'options':json.dumps(options)},)response_json = json.loads(response.text)links = response_json.get('links')token_auth_2header
AuthorizationBearer <token>application/json- body
id_image?stringprompt?stringkeyword?stringoptions?stringSuccess
application/json- response
links?array<>curl -X POST "https://example.com/api/edit/background" \ -H "Content-Type: application/json" \ -d '{}'{ "links": [ { "l": "string", "n": "string", "t": "string" } ]}